Imports System.Runtime.InteropServices

Public Class EventLog

    'purpose: exposes event log api functions

    'opens the specified log (sourceName) for the specified 
    '   server (serverName) and returns a handle to it
    Declare Auto Function OpenEventLog Lib "Advapi32.dll" _
        (ByVal serverName As String, ByVal sourceName As String) _
        As Integer

    'clears the specified event log  (hEventLog) and optionally 
    '   backs it up to a file (backupFileName)
    Declare Auto Function ClearEventLog Lib "Advapi32.dll" _
        (ByVal hEventLog As Integer, ByVal backupFileName As String) _
        As Integer

    'closes the specified event log (hEventLog)
    Declare Auto Function CloseEventLog Lib "Advapi32.dll" _
        (ByVal hEventLog As Integer) As Integer

End Class

Module Module1

    Sub Main()

        'purpose: call event log api functions

        'local scope
        Dim handleLog As Integer

        'return a handle to the event log on the local box
        handleLog = EventLog.OpenEventLog( _
            serverName:=vbNullString, sourceName:="Application")

        'clear the event log
        EventLog.ClearEventLog( _
            hEventLog:=handleLog, backupFileName:=vbNullString)

        'close the event log
        EventLog.CloseEventLog(hEventLog:=handleLog)

    End Sub

End Module
